org.apache.ignite.compute

## Interface ComputeJobSibling

All Known Implementing Classes:
  GridJobSiblingImpl

    public interface ComputeJobSibling

Job sibling interface defines a job from the same split. In other words a sibling is a job returned from the same `ComputeTask.map(List, Object)` method invocation.

### Method Summary

Methods
`void` `cancel()` Sends a request to cancel this sibling.
`IgniteUuid` `getJobId()` Gets ID of this grid job sibling.

### Method Detail

#### getJobId

    IgniteUuid getJobId()

Gets ID of this grid job sibling. Note that ID stays constant throughout job life time, even if a job gets failed over to another node.

Returns:
  Job ID.

#### cancel

    void cancel()
                throws IgniteException

Sends a request to cancel this sibling.

Throws:
  `IgniteException` - If cancellation message could not be sent.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017